Subject: [Sigtran] Are RKM parameters common between adaptation layers?

From: Moo-hyoung Kim <[email-masked]>
Date: Wed, 19 Jul 2006 12:52:09 +0900

Hi

in RFC 3868, RKM parameters are defined in Common parameter section.
3.9.  Common Parameters

    These TLV parameters are common across the different adaptation
    layers.

    Parameter Name                     Parameter ID
    ==============                     ============
    Reserved                             0x0000
    Not used in SUA                      0x0001
    Not used in SUA                      0x0002
    ...
    Registration Result                  0x0014
    Deregistration Result                0x0015
    Registration Status                  0x0016
    Deregistration Status                0x0017
    Local Routing Key Identifier         0x0018

but, in RFC 3332, RKM parameters are defined in M3UA-Specific  
parameter section.

       M3UA-Specific parameters.  These TLV parameters are specific to
       the M3UA protocol:

         Network Appearance                    0x0200
	...
         Registration Result                   0x0208
         Deregistration Result                 0x0209
         Local_Routing Key Identifier          0x020a
	...

Which is correct?

Regards!!

-- Kim

* NOTICE:
    Change the Text Encoding to UTF-8 if you can't read the text in  
this mail.

Moo-hyoung Kim
Core Technology / Network BIZ. Division
UANGEL Corporation
Tel   : +82-31-710-6240
Mobile: +82-11-9052-1122
E-mail: [email-masked]

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 19 Jul 2006 00:13:31 -0600

Moo-hyoung,

Moo-hyoung Kim wrote:                              (Wed, 19 Jul 2006 12:52:09)
> Which is correct?

Both.  Use the tag values from the protocol for which they are
used.  Thank me for the few common parameters that you do have
(e.g. RC).  I lost the fight on RKM parameters.

See the threads:

  "M2UAv9, M3UAv8, SUAv7: Common Parameters (again)", 26 Jul 2001

  "M2UA, M3UA, SUA and IUA common parameter allocation", 7 Aug 2001

  "[SUA issue 13] M2UAv9, M3UAv8, SUAv7: Common Parameters (again)", 14 Aug 2001

  "Issue 20: Alignment of SUA, M2UA, M3UA and IUA common parameters", 15 Aug 2001

  "Common Parameters in SUA & M3UA: DATA", 1 Oct 2001

  "Common Parameters in SUA & M3UA: Affected Point Code", 2 Oct 2001

  "M3UA9/SUAv8: Common Parameter IDs", 26 Oct 2001
  
  "SUA09, M3UA-10, M2UA-11, RFC2057: Common parameters.", 30 Dec 2001

  "M2UA-11, M3UA-10, SUA-09: Common Parameters", 1 Jan 2002

And sometime around 25 Jan 2002 it was deemed by the editors
"too late" to change anything.

Sorry but the editors did a really poor job of maintaining anything
common and you are just stuck with their mess now.  When you read "Common",
just think of a number pool from which UAs pluck values arbitrarily,
in the sense of "commons" but with utterly no "commonality".

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/